var map = L.map('map').setView([38.891, 139.824], 16);

L.tileLayer('https://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png', {
    attribution: '&copy; <a href="http://osm.org/copyright">OpenStreetMap</a> contributors'
}).addTo(map);

var currentMarker = null;
map.on('click', function (e) {
    if (currentMarker) {
        map.removeLayer(currentMarker);
    }
    currentMarker = L.marker([e.latlng.lat, e.latlng.lng]).addTo(map);
    document.getElementById('coordinates').innerText = `緯度: ${e.latlng.lat}, 経度: ${e.latlng.lng}`;
});

//7行目:nullは初期値。最初はマーカーがない状態を表す。
//8行目:マップがクリックされたら実行。eはイベントオブジェクトを受け取るための引数。
